Package org.apache.wiki.api.engine

## Interface Initializable

All Known Subinterfaces:
  `CustomWikiEventListener<T>`

    public interface Initializable

Marker interface for Engine's components that can be initialized.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `initialize​(Engine engine, java.util.Properties props)` Initializes this Engine component.

### Method Detail

#### initialize

    void initialize​(Engine engine,
                    java.util.Properties props)
             throws WikiException

Initializes this Engine component. Note that the engine is not fully initialized at this point, so don't do anything fancy here - use lazy init, if you have to.

Parameters:
  `engine` - Engine performing the initialization.
  `props` - Properties for setup.
Throws:
  `WikiException` - if an exception occurs while initializing the component.